Bug 8445

Summary: Implement basic XML import/export.
Product: OMP Reporter: Alec Smecher <alec>
Component: Import/ExportAssignee: PKP Support <pkp-support>
Status: RESOLVED FIXED    
Severity: normal CC: jason.nugent
Priority: P3    
Version: 1.1   
Hardware: All   
OS: All   
Version Reported In: Also Affects:

Description Alec Smecher 2013-10-08 11:54:16 PDT

    
Comment 1 Alec Smecher 2013-10-08 11:56:02 PDT
Scaffolding for XML import/export
https://github.com/pkp/pkp-lib/commit/4149a537ff2aa0406af4d3b446b4081807c04cec
Comment 2 Alec Smecher 2013-10-08 11:58:02 PDT
Scaffolding for XML import/export
https://github.com/pkp/omp/commit/a0cd37aa102b0b474b776383ba5f54c1c02d40de
Comment 3 Alec Smecher 2013-10-08 18:07:03 PDT
Implement basic metadata set for export; move filter to DOM rather than XML output
https://github.com/pkp/omp/commit/35d4ebfd0a7a6ae0252193602994d79ca5fc973d
Comment 4 Alec Smecher 2013-10-09 11:15:03 PDT
Support multiple export
https://github.com/pkp/omp/commit/48cb8b0fc9e8988c502ec9146c0d4da98f175003
Comment 5 Alec Smecher 2013-10-09 11:15:03 PDT
Support multiple export
https://github.com/pkp/pkp-lib/commit/7500190a91bb43ac126e98b4f6b73c182acdb8b0
Comment 6 Alec Smecher 2013-10-09 15:32:03 PDT
Add basic import functionality
https://github.com/pkp/pkp-lib/commit/901897da55cdb849a9551e8464d6965347838799
Comment 7 Alec Smecher 2013-10-09 15:34:01 PDT
Add basic import functionality
https://github.com/pkp/omp/commit/f7eb34a5559dbb15a17516f011fbcb379577fd8a
Comment 8 Alec Smecher 2013-10-09 16:38:02 PDT
Added deployment classes
https://github.com/pkp/pkp-lib/commit/9f330d03e84cb8465e5295fffddb89d1972984cb
Comment 9 Alec Smecher 2013-10-09 16:39:02 PDT
Added deployment classes
https://github.com/pkp/omp/commit/b0bb8b0b422c2749dc981e3feeb7a095384ab79f
Comment 10 Alec Smecher 2013-10-10 16:14:03 PDT
Import process language/completion template tweaks
https://github.com/pkp/omp/commit/c647c316d2567b00f3131424ea6114b9e1dfe179
Comment 13 Alec Smecher 2013-10-17 14:48:02 PDT
Authors; delegation to other filters; scaffolding & structures
https://github.com/pkp/pkp-lib/commit/ad3ee159db47c7474f60883fbd41d8326abd7f74
Comment 14 Alec Smecher 2013-10-21 11:47:03 PDT
Add user_group information to import/export
https://github.com/pkp/pkp-lib/commit/bfcc2922866313d3b95b7917af1b0933d5edd033
Comment 15 Alec Smecher 2013-10-22 15:32:02 PDT
Revert accidental commit
https://github.com/pkp/omp/commit/b28ac886c157dc3f8e584acac44d25cfc05ac282
Comment 16 Alec Smecher 2013-10-22 15:32:02 PDT
Fix email descriptions
https://github.com/pkp/omp/commit/59408e8b26a0cd4db9d2e76a3256b4f667a5203a
Comment 17 Alec Smecher 2013-10-22 16:26:02 PDT
Add date published import/export
https://github.com/pkp/pkp-lib/commit/a8c40b58b87497dc36ae58ad2c821b5ce5b18e40
Comment 18 Alec Smecher 2013-10-22 16:26:02 PDT
Add date published import/export
https://github.com/pkp/omp/commit/d064c7198b8cb0b551790b46a50185a017b893d3
Comment 19 Alec Smecher 2013-10-22 17:09:02 PDT
Start fleshing out file interface
https://github.com/pkp/pkp-lib/commit/06bbb5099017261a05c13f429339a339db8bcd2f
Comment 20 Alec Smecher 2013-10-24 15:28:03 PDT
Clean up; add start of publication format export
https://github.com/pkp/pkp-lib/commit/41f1a92bd2ca5024f8c97a91b4a8126666d7b783
Comment 21 Alec Smecher 2013-10-24 15:29:02 PDT
Clean up; add start of publication format export
https://github.com/pkp/omp/commit/239253c832ffa4a56772890905b6db558dcef8f3
Comment 24 Alec Smecher 2013-10-25 14:57:02 PDT
File export implemented (partially)
https://github.com/pkp/pkp-lib/commit/9033338a8601b8f7d33989c8f4c2fbe1217d1297
Comment 25 Alec Smecher 2013-10-28 17:05:03 PDT
Add extension of representation to publication_format
https://github.com/pkp/omp/commit/c81ed628af3194bd0f4d45b2446f3cfcdadbbf6c
Comment 26 Alec Smecher 2013-10-29 17:27:03 PDT
Add file references for representations; direct sales price
https://github.com/pkp/pkp-lib/commit/7589c421437b32fce12ca06b9b37cc37420dea1b
Comment 27 Alec Smecher 2013-10-29 17:27:03 PDT
Add file references for representations; direct sales price
https://github.com/pkp/omp/commit/06c69be56e8e32eb1f88d186ea08874a347545ae
Comment 28 Alec Smecher 2013-10-31 13:48:04 PDT
Add actual base64 encoded data
https://github.com/pkp/pkp-lib/commit/17ffd3bfe6e1774587112bf6a9d8c81849e01900
Comment 29 Alec Smecher 2013-10-31 14:33:02 PDT
Add artwork file filter
https://github.com/pkp/omp/commit/5a19ab6d577c9c2bdcba47b056fa30189048e324
Comment 30 Alec Smecher 2013-10-31 14:33:02 PDT
Make filter fetch subclass-capable for submission files
https://github.com/pkp/pkp-lib/commit/75579a1f19c8ddc88e4f173a46beb840b69c03fc
Comment 31 Alec Smecher 2013-10-31 15:33:01 PDT
Add permission_terms for artwork_file
https://github.com/pkp/omp/commit/5c696d424f8d69ce35bbb712051cb55691c71928
Comment 33 Alec Smecher 2013-11-05 10:29:03 PST
Submission file import/export continued
https://github.com/pkp/pkp-lib/commit/6890c44b729a4bb9bf9b6ed422fcbfff2c0ab4a8
Comment 34 Alec Smecher 2013-11-05 10:30:03 PST
Submission file import/export continued
https://github.com/pkp/omp/commit/29a36210a8dca82ce6dc1cca60473f3efc23c8f2
Comment 35 Jason Nugent 2013-11-07 10:20:02 PST
always wrap author nodes in a authors node
https://github.com/pkp/pkp-lib/commit/8b8fd5573ab50216522872a32cf891be4ea98d35
Comment 36 Alec Smecher 2013-11-07 12:59:02 PST
Implement embedded content import; reference cleanup
https://github.com/pkp/omp/commit/c739cf002e81b4f0f369df236fc9ebe98304cb97
Comment 37 Alec Smecher 2013-11-07 12:59:02 PST
Implement embedded content import; reference cleanup
https://github.com/pkp/pkp-lib/commit/08c8ee229db57bfce246264eda776f636bbe1f7c
Comment 38 Alec Smecher 2013-11-07 13:46:02 PST
Support hrefs; fix MIME types
https://github.com/pkp/pkp-lib/commit/ad7068ae8dbf39c88ed49a74c70cecd3336b97d2
Comment 39 Jason Nugent 2013-11-12 10:44:03 PST
introduce ONIX schemas; ONIXMessage header scaffolding
https://github.com/pkp/omp/commit/7d34bd523d6c537492bddb60a9e97c187cc7b268
Comment 40 Alec Smecher 2013-11-18 16:14:02 PST
Fixed default behavior
https://github.com/pkp/omp/commit/02f7d2e0d52424bd7af72e2429cc481adc759728
Comment 41 Alec Smecher 2013-11-18 16:19:01 PST
Fix authors container behavior
https://github.com/pkp/pkp-lib/commit/06bc601b5b810426de930d33cd90be7b339d8026
Comment 42 Alec Smecher 2013-11-18 16:41:01 PST
Improve round-tripping
https://github.com/pkp/pkp-lib/commit/8d77e7dd66e0433d2c614b68a08f841a3ac67f13
Comment 43 Jason Nugent 2013-11-19 07:42:03 PST
introduce parent deployment class
https://github.com/pkp/pkp-lib/commit/372c72fdbb25d3f8d9c4d9245ddce455079782a1
Comment 44 Jason Nugent 2013-11-19 07:44:02 PST
re-write ONIX export plugin to use native PHP DOM framework
https://github.com/pkp/omp/commit/d349f61512e855f0c30c1c3c074c4331e3b5b7f5
Comment 45 Jason Nugent 2013-11-21 07:26:03 PST
add ONIX Product information to native export
https://github.com/pkp/omp/commit/abeec5bf8d45db8c4280835d9470cc188dd57f00
Comment 46 Alec Smecher 2013-11-25 17:03:03 PST
Fix tab handling for import
https://github.com/pkp/pkp-lib/commit/a053f7fcdf1b905446f6f1dbc1a41a91c4d75ce6
Comment 47 Jason Nugent 2013-11-26 11:30:02 PST
remove delete row action, add optional export row action
https://github.com/pkp/pkp-lib/commit/748494ee1849b67f426f6f1d5e29bcdc2682fee4
Comment 48 Jason Nugent 2013-11-26 11:30:02 PST
use export grid row action for onix export
https://github.com/pkp/omp/commit/73915ad97c2a863e0305c6cce8bb271d205a80a4
Comment 49 Jason Nugent 2013-12-03 07:27:03 PST
introduce native xml import representation class
https://github.com/pkp/pkp-lib/commit/b7787decdd99c0ca2daad48a63f92ef4a89266fb
Comment 50 Jason Nugent 2013-12-03 07:28:02 PST
include sequence in export DOM
https://github.com/pkp/pkp-lib/commit/8f52f7bd119cbbf459a28c73c124f8cb68289429
Comment 51 Jason Nugent 2013-12-03 07:30:02 PST
import publication format ONIX data for native imports
https://github.com/pkp/omp/commit/2c06909d05067deadcd289386a58604bfebd83fa
Comment 52 Jason Nugent 2013-12-03 07:30:02 PST
allow entry key to be null
https://github.com/pkp/omp/commit/79f0fd734778826de39220608f63a01cb89305ca
Comment 53 Alec Smecher 2013-12-03 11:08:06 PST
*** Bug 8220 has been marked as a duplicate of this bug. ***
Comment 54 Alec Smecher 2013-12-03 12:38:03 PST
Facilitate extensions to the submission element
https://github.com/pkp/pkp-lib/commit/3b488e64ad4fa4809988e7be62f55601804bfe67
Comment 55 Alec Smecher 2013-12-03 12:39:02 PST
Add series import/export for submissions
https://github.com/pkp/omp/commit/66447097b6371114d03a5873a05b5371162aed0b
Comment 56 Alec Smecher 2013-12-04 11:11:02 PST
Deprecated use of split function
https://github.com/pkp/omp/commit/dc0ce34e72df5f9171d6f10f48a72c7882f16b5b
Comment 57 Jason Nugent 2013-12-11 10:09:03 PST
clean up whitespace when joining elements
https://github.com/pkp/omp/commit/ca239c23bac350871f1ada419c5f50795aedfcd2
Comment 58 Jason Nugent 2013-12-11 10:11:17 PST
allow for partial onix data for native import/export
https://github.com/pkp/omp/commit/3ae4a57f7c39320b6c4a9b2cad0af97f7be41e30
Comment 59 Jason Nugent 2014-01-13 07:00:03 PST
add support for file size, uploader, user group
https://github.com/pkp/pkp-lib/commit/d2700d5f995b5b0669db687c16b73bfd55dcc0ed
Comment 60 Jason Nugent 2014-02-26 07:11:03 PST
add comments to editor to submission xml
https://github.com/pkp/pkp-lib/commit/12cea20823173dab2d45d449d81c33dcc4dcd7f5
Comment 61 Jason Nugent 2014-02-26 07:13:03 PST
add comments to editor to submission xml
https://github.com/pkp/pkp-lib/commit/61adb467f166b44ed7e72843da1b6c2c6bd24783
Comment 62 Jason Nugent 2014-02-26 07:52:02 PST
include work type in monograph XML
https://github.com/pkp/omp/commit/e4f5f0f2bd4ce4995ddc64fde38e6e5c2d951379
Comment 63 Jason Nugent 2014-02-26 07:53:02 PST
include work type in monograph XML
https://github.com/pkp/omp/commit/a2bdcdb420c73186ffa96fcf1fff74bbb7d8474e
Comment 64 Jason Nugent 2014-03-03 17:32:11 PST
add comments to editor to submission xml
https://github.com/pkp/pkp-lib/commit/12cea20823173dab2d45d449d81c33dcc4dcd7f5
Comment 65 Jason Nugent 2014-03-06 09:58:02 PST
remove OMP-specific reference to publication formats
https://github.com/pkp/pkp-lib/commit/1b7517577611b2bc3ab012beb2bb03141f7997de
Comment 66 Jason Nugent 2014-03-06 09:59:02 PST
implement method for getting representation filter
https://github.com/pkp/omp/commit/3986822c3a46916fdd8c490a3f12f15f0add2393
Comment 67 Jason Nugent 2014-03-06 10:01:03 PST
remove OMP-specific reference to publication formats
https://github.com/pkp/pkp-lib/commit/46292ced38c7a44a1ac46a218519aedaa3245842
Comment 68 Jason Nugent 2014-03-06 10:01:03 PST
implement method for getting representation filter
https://github.com/pkp/omp/commit/c94422e0b645593de240ff10360eda24279f0a25
Comment 69 Jason Nugent 2014-05-29 11:19:03 PDT
fix XML generation for pubId ids
https://github.com/pkp/pkp-lib/commit/dbf5a59a2f6cc891259ded94bad99b4eb967d5e9
Comment 70 Jason Nugent 2014-05-29 11:20:02 PDT
fix XML generation for pubId ids
https://github.com/pkp/pkp-lib/commit/203343db2a11ac28e2ec41c3af065cded1ae9da7
Comment 71 beghelli 2014-06-02 19:33:03 PDT
Submodule changes track
https://github.com/pkp/omp/commit/608af8eb31e559fc3d060b4df3c370277e6aa86b
Comment 72 Jason Nugent 2014-06-13 11:04:02 PDT
add include in browse element to author
https://github.com/pkp/pkp-lib/commit/9fb118329128b1492e6a5128077ba06f4ba5c00e
Comment 73 Jason Nugent 2014-06-13 11:06:02 PDT
add include in browse element to author
https://github.com/pkp/pkp-lib/commit/4b639a91b8d0df01b4fe7205c76a33aefd73c409
Comment 74 Alec Smecher 2014-07-24 10:32:03 PDT
Pull request opened (not merged):
create tool for importing tab delimited data
https://github.com/pkp/omp/pull/33
Comment 75 Alec Smecher 2014-07-25 09:34:04 PDT
Pull request synchronize (not merged):
create tool for importing tab delimited data
https://github.com/pkp/omp/pull/33
Comment 76 Jason Nugent 2014-07-29 10:33:02 PDT
create tool for importing tab delimited data
https://github.com/pkp/omp/commit/8457839540e5729739d8db6a9ef201c4f0c21f3c
Comment 77 Jason Nugent 2014-07-29 10:33:02 PDT
move tab delmited import functionality to importexport plugin
https://github.com/pkp/omp/commit/306672c59ae5725d242726aa0c5d96419730272f